const app = getApp<IAppOption>()

Component({
  /**
   * 组件的属性列表
   */
  properties: {
    item: {
      type: Object,
      value: {}
    }
  },

  /**
   * 组件的初始数据
   */
  data: {

  },

  /**
   * 组件的方法列表
   */
  methods: {
    handleClick(e: any) {
      wx.navigateTo({
        url: `/pages/common/good-detail/good-detail?spuId=${e.currentTarget.dataset.id}`
      })
    }
  },
  lifetimes: {
    created: () => {
    }
  }
})